% Usage: c = fullwave(x, levels, filt)
% Recursive application of wave1.m, for full wavelet transform.
% Applies one stage transform "levels" times.

function c = fullwave(x, levels, filt)

N=length(x);

m = N;
c = x;
for j=1:levels
    c(1:m) = wave1(c(1:m),filt);
    m = m/2;
end
    