% Usage: c = invimwavefull(x, levels, filt)
% Inverts imwavefull() routine.
function c = invimwavefull(x, levels, filt)

[m,n]=size(x);

q = m/2^(levels-1); p = n/2^(levels-1);
c = x;

for j=1:levels
    c(1:q,1:p) = invimwave1(c(1:q,1:p), filt);
    q = 2*q; p = 2*p;
end
